package cn.com.qmth.stmms.ms.marking.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * Created by zhengmin on 2016/10/12.
 */
public class MarkTaskDTO implements Serializable{

    private static final long serialVersionUID = -7780260418569729090L;

    private Long id;
    private String sn;
    private String redoLevel;
    private String level;
    private Double score;
    private Object result;
    private String originLevel;
    private boolean isRejected;
    private Long markerId;
    private String loginName;
    private String marker;
    private Date updatedOn;
    private String imgSrc;
    private String thumbSrc;
    private boolean isSample;
    private boolean markByLeader;
    private boolean oldRejected;
    private Long paperId;
    private Long randomSeqNew;
    private Integer randomSeq;
    private String serialNumber;
    private boolean displayNumber;
    private boolean shift;
    private boolean shiftScore;
    //是否科组长打回
    private Boolean isRejectedByLeader;
    //打回总次数
    private Integer rejectedCount;

    public Integer getRandomSeq() {
        return randomSeq;
    }

    public void setRandomSeq(Integer randomSeq) {
        this.randomSeq = randomSeq;
    }

    public Long getPaperId() {
        return paperId;
    }

    public void setPaperId(Long paperId) {
        this.paperId = paperId;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public boolean isOldRejected() {
        return oldRejected;
    }

    public void setOldRejected(boolean oldRejected) {
        this.oldRejected = oldRejected;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public Date getUpdatedOn() {
        return updatedOn;
    }

    public void setUpdatedOn(Date updatedOn) {
        this.updatedOn = updatedOn;
    }

    public String getImgSrc() {
        return imgSrc;
    }

    public void setImgSrc(String imgSrc) {
        this.imgSrc = imgSrc;
    }

    public boolean isRejected() {
        return isRejected;
    }

    public void setRejected(boolean rejected) {
        isRejected = rejected;
    }

    public String getMarker() {
        return marker;
    }

    public void setMarker(String marker) {
        this.marker = marker;
    }

    public String getRedoLevel() {
        return redoLevel;
    }

    public void setRedoLevel(String redoLevel) {
        this.redoLevel = redoLevel;
    }

    public Object getResult() {
        return result;
    }

    public void setResult(Object result) {
        this.result = result;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public String getThumbSrc() {
        return thumbSrc;
    }

    public void setThumbSrc(String thumbSrc) {
        this.thumbSrc = thumbSrc;
    }

    public boolean isSample() {
        return isSample;
    }

    public void setSample(boolean sample) {
        isSample = sample;
    }

    public String getOriginLevel() {
        return originLevel;
    }

    public void setOriginLevel(String originLevel) {
        this.originLevel = originLevel;
    }

	public boolean isMarkByLeader() {
		return markByLeader;
	}

	public void setMarkByLeader(boolean markByLeader) {
		this.markByLeader = markByLeader;
	}

    public Long getMarkerId() {
        return markerId;
    }

    public void setMarkerId(Long markerId) {
        this.markerId = markerId;
    }

    public Long getRandomSeqNew() {
        return randomSeqNew;
    }

    public void setRandomSeqNew(Long randomSeqNew) {
        this.randomSeqNew = randomSeqNew;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public boolean isDisplayNumber() {
        return displayNumber;
    }

    public void setDisplayNumber(boolean displayNumber) {
        this.displayNumber = displayNumber;
    }

    public boolean isShift() {
        return shift;
    }

    public void setShift(boolean shift) {
        this.shift = shift;
    }

    public boolean isShiftScore() {
        return shiftScore;
    }

    public void setShiftScore(boolean shiftScore) {
        this.shiftScore = shiftScore;
    }

    public Boolean getIsRejectedByLeader() {
        return isRejectedByLeader;
    }

    public void setIsRejectedByLeader(Boolean rejectedByLeader) {
        isRejectedByLeader = rejectedByLeader;
    }

    public Integer getRejectedCount() {
        return rejectedCount;
    }

    public void setRejectedCount(Integer rejectedCount) {
        this.rejectedCount = rejectedCount;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }
}
